// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.21.0
// 	protoc        v3.11.4
// source: transport-order/model/trip-place.proto

package model

import (
	proto "github.com/golang/protobuf/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type EnumTripPlaceStatus int32

const (
	EnumTripPlaceStatus_TRIP_PLACE_UNKNOWN   EnumTripPlaceStatus = 0
	EnumTripPlaceStatus_TRIP_PLACE_PLANNED   EnumTripPlaceStatus = 1
	EnumTripPlaceStatus_TRIP_PLACE_COMPLETED EnumTripPlaceStatus = 100
	EnumTripPlaceStatus_TRIP_PLACE_CANCELED  EnumTripPlaceStatus = 101
)

// Enum value maps for EnumTripPlaceStatus.
var (
	EnumTripPlaceStatus_name = map[int32]string{
		0:   "TRIP_PLACE_UNKNOWN",
		1:   "TRIP_PLACE_PLANNED",
		100: "TRIP_PLACE_COMPLETED",
		101: "TRIP_PLACE_CANCELED",
	}
	EnumTripPlaceStatus_value = map[string]int32{
		"TRIP_PLACE_UNKNOWN":   0,
		"TRIP_PLACE_PLANNED":   1,
		"TRIP_PLACE_COMPLETED": 100,
		"TRIP_PLACE_CANCELED":  101,
	}
)

func (x EnumTripPlaceStatus) Enum() *EnumTripPlaceStatus {
	p := new(EnumTripPlaceStatus)
	*p = x
	return p
}

func (x EnumTripPlaceStatus) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (EnumTripPlaceStatus) Descriptor() protoreflect.EnumDescriptor {
	return file_transport_order_model_trip_place_proto_enumTypes[0].Descriptor()
}

func (EnumTripPlaceStatus) Type() protoreflect.EnumType {
	return &file_transport_order_model_trip_place_proto_enumTypes[0]
}

func (x EnumTripPlaceStatus) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use EnumTripPlaceStatus.Descriptor instead.
func (EnumTripPlaceStatus) EnumDescriptor() ([]byte, []int) {
	return file_transport_order_model_trip_place_proto_rawDescGZIP(), []int{0}
}

type TripPlace struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Place        *Place              `protobuf:"bytes,1,opt,name=place,proto3" json:"place,omitempty"`
	PlanningDate int64               `protobuf:"varint,2,opt,name=planningDate,proto3" json:"planningDate,omitempty"`
	Date         int64               `protobuf:"varint,3,opt,name=date,proto3" json:"date,omitempty"`
	Status       EnumTripPlaceStatus `protobuf:"varint,4,opt,name=status,proto3,enum=transportOrder.EnumTripPlaceStatus" json:"status,omitempty"` // planned, completed, canceled
}

func (x *TripPlace) Reset() {
	*x = TripPlace{}
	if protoimpl.UnsafeEnabled {
		mi := &file_transport_order_model_trip_place_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TripPlace) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TripPlace) ProtoMessage() {}

func (x *TripPlace) ProtoReflect() protoreflect.Message {
	mi := &file_transport_order_model_trip_place_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TripPlace.ProtoReflect.Descriptor instead.
func (*TripPlace) Descriptor() ([]byte, []int) {
	return file_transport_order_model_trip_place_proto_rawDescGZIP(), []int{0}
}

func (x *TripPlace) GetPlace() *Place {
	if x != nil {
		return x.Place
	}
	return nil
}

func (x *TripPlace) GetPlanningDate() int64 {
	if x != nil {
		return x.PlanningDate
	}
	return 0
}

func (x *TripPlace) GetDate() int64 {
	if x != nil {
		return x.Date
	}
	return 0
}

func (x *TripPlace) GetStatus() EnumTripPlaceStatus {
	if x != nil {
		return x.Status
	}
	return EnumTripPlaceStatus_TRIP_PLACE_UNKNOWN
}

var File_transport_order_model_trip_place_proto protoreflect.FileDescriptor

var file_transport_order_model_trip_place_proto_rawDesc = []byte{
	0x0a, 0x26, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x74, 0x72, 0x69, 0x70, 0x2d, 0x70, 0x6c, 0x61,
	0x63, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70,
	0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x1a, 0x21, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70,
	0x6f, 0x72, 0x74, 0x2d, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f,
	0x70, 0x6c, 0x61, 0x63, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xad, 0x01, 0x0a, 0x09,
	0x54, 0x72, 0x69, 0x70, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x12, 0x2b, 0x0a, 0x05, 0x70, 0x6c, 0x61,
	0x63, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x15, 0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73,
	0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x52,
	0x05, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x12, 0x22, 0x0a, 0x0c, 0x70, 0x6c, 0x61, 0x6e, 0x6e, 0x69,
	0x6e, 0x67, 0x44, 0x61, 0x74, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0c, 0x70, 0x6c,
	0x61, 0x6e, 0x6e, 0x69, 0x6e, 0x67, 0x44, 0x61, 0x74, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x64, 0x61,
	0x74, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52, 0x04, 0x64, 0x61, 0x74, 0x65, 0x12, 0x3b,
	0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x23,
	0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x45, 0x6e, 0x75, 0x6d, 0x54, 0x72, 0x69, 0x70, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x53, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x2a, 0x78, 0x0a, 0x13, 0x45,
	0x6e, 0x75, 0x6d, 0x54, 0x72, 0x69, 0x70, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x53, 0x74, 0x61, 0x74,
	0x75, 0x73, 0x12, 0x16, 0x0a, 0x12, 0x54, 0x52, 0x49, 0x50, 0x5f, 0x50, 0x4c, 0x41, 0x43, 0x45,
	0x5f, 0x55, 0x4e, 0x4b, 0x4e, 0x4f, 0x57, 0x4e, 0x10, 0x00, 0x12, 0x16, 0x0a, 0x12, 0x54, 0x52,
	0x49, 0x50, 0x5f, 0x50, 0x4c, 0x41, 0x43, 0x45, 0x5f, 0x50, 0x4c, 0x41, 0x4e, 0x4e, 0x45, 0x44,
	0x10, 0x01, 0x12, 0x18, 0x0a, 0x14, 0x54, 0x52, 0x49, 0x50, 0x5f, 0x50, 0x4c, 0x41, 0x43, 0x45,
	0x5f, 0x43, 0x4f, 0x4d, 0x50, 0x4c, 0x45, 0x54, 0x45, 0x44, 0x10, 0x64, 0x12, 0x17, 0x0a, 0x13,
	0x54, 0x52, 0x49, 0x50, 0x5f, 0x50, 0x4c, 0x41, 0x43, 0x45, 0x5f, 0x43, 0x41, 0x4e, 0x43, 0x45,
	0x4c, 0x45, 0x44, 0x10, 0x65, 0x42, 0xa0, 0x01, 0x0a, 0x1d, 0x63, 0x6f, 0x6d, 0x2e, 0x73, 0x75,
	0x70, 0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f,
	0x72, 0x74, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x42, 0x09, 0x54, 0x72, 0x69, 0x70, 0x50, 0x6c, 0x61,
	0x63, 0x65, 0x50, 0x01, 0x5a, 0x3a, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d,
	0x2f, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2f, 0x73, 0x68, 0x61, 0x72,
	0x65, 0x64, 0x2f, 0x67, 0x6f, 0x2d, 0x67, 0x72, 0x70, 0x63, 0x2f, 0x74, 0x72, 0x61, 0x6e, 0x73,
	0x70, 0x6f, 0x72, 0x74, 0x2d, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c,
	0xa2, 0x02, 0x03, 0x4d, 0x58, 0x58, 0xaa, 0x02, 0x1e, 0x53, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x4e,
	0x65, 0x74, 0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0xca, 0x02, 0x0e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70,
	0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_transport_order_model_trip_place_proto_rawDescOnce sync.Once
	file_transport_order_model_trip_place_proto_rawDescData = file_transport_order_model_trip_place_proto_rawDesc
)

func file_transport_order_model_trip_place_proto_rawDescGZIP() []byte {
	file_transport_order_model_trip_place_proto_rawDescOnce.Do(func() {
		file_transport_order_model_trip_place_proto_rawDescData = protoimpl.X.CompressGZIP(file_transport_order_model_trip_place_proto_rawDescData)
	})
	return file_transport_order_model_trip_place_proto_rawDescData
}

var file_transport_order_model_trip_place_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_transport_order_model_trip_place_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_transport_order_model_trip_place_proto_goTypes = []interface{}{
	(EnumTripPlaceStatus)(0), // 0: transportOrder.EnumTripPlaceStatus
	(*TripPlace)(nil),        // 1: transportOrder.TripPlace
	(*Place)(nil),            // 2: transportOrder.Place
}
var file_transport_order_model_trip_place_proto_depIdxs = []int32{
	2, // 0: transportOrder.TripPlace.place:type_name -> transportOrder.Place
	0, // 1: transportOrder.TripPlace.status:type_name -> transportOrder.EnumTripPlaceStatus
	2, // [2:2] is the sub-list for method output_type
	2, // [2:2] is the sub-list for method input_type
	2, // [2:2] is the sub-list for extension type_name
	2, // [2:2] is the sub-list for extension extendee
	0, // [0:2] is the sub-list for field type_name
}

func init() { file_transport_order_model_trip_place_proto_init() }
func file_transport_order_model_trip_place_proto_init() {
	if File_transport_order_model_trip_place_proto != nil {
		return
	}
	file_transport_order_model_place_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_transport_order_model_trip_place_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TripPlace); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_transport_order_model_trip_place_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_transport_order_model_trip_place_proto_goTypes,
		DependencyIndexes: file_transport_order_model_trip_place_proto_depIdxs,
		EnumInfos:         file_transport_order_model_trip_place_proto_enumTypes,
		MessageInfos:      file_transport_order_model_trip_place_proto_msgTypes,
	}.Build()
	File_transport_order_model_trip_place_proto = out.File
	file_transport_order_model_trip_place_proto_rawDesc = nil
	file_transport_order_model_trip_place_proto_goTypes = nil
	file_transport_order_model_trip_place_proto_depIdxs = nil
}
